/* Copyright (C) 1995,1996,1997,1998,2001,2002 Free Software Foundation, Inc.
   This file is part of the GNU C Library.
   Contributed by Ulrich Drepper <drepper@gnu.ai.mit.edu>, August 1995.

   The GNU C Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   The GNU C Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with the GNU C Library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307 USA.  */

#include <stdlib.h>
#include <stdio.h>
#include "winExtra.h"

extern struct drand48_data __libc_drand48_data;

double  drand48 ()
{
  double result;

 // (void) __erand48_r (__libc_drand48_data.__x, &__libc_drand48_data, &result);
 // printf("%f ",result);
  long int intermediate = rand(); //16 bits integer on Windows
  if( intermediate == RAND_MAX ) return 0.0;
  result = ((double)intermediate)/RAND_MAX;
  result = randomNumberGenerator(intermediate);

  return result;
}
